## ros-kinetic-xiaoqiang-freenect-launch 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xiaoqiang_freenect_launch)

find_package(catkin REQUIRED)

catkin_package()

# install the launch files
install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-kinetic-xiaoqiang-freenect-launch (0.0.12-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.11-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.10-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.9-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 06 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.8-0xenial) xenial; urgency=high

  * add xiaoqiang navigation
  * add depth image process
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Tue, 05 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.7-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Thu, 31 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.6-0xenial) xenial; urgency=high



 -- Randoms <randoms@bwbot.org>  Wed, 30 May 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-freenect-launch (0.0.5-0xenial) xenial; urgency=high

  * change email
  * Contributors: xiaoqiang

 -- Randoms <randoms@bwbot.org>  Tue, 29 May 2018 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xiaoqiang-freenect-launch
Section: misc
Priority: extra
Maintainer: Randoms <randoms@bwbot.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/xiaoqiang_freenect_launch
Standards-Version: 3.9.2

Package: ros-kinetic-xiaoqiang-freenect-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-image-proc, ros-kinetic-nodelet, ros-kinetic-rgbd-launch, ros-kinetic-tf, ros-kinetic-xiaoqiang-freenect-camera
Description: Launch files for xiaoqiang_freenect_camera to produce rectified, registered or disparity images.
 Also produce point clouds and registered point clouds. Based on the openni_launch package. Modified version of xiaoqiang_freenect_stack, add tilt angle control support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xiaoqiang-freenect-launch//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
